const express = require('express');
const router = express.Router();
const feeController = require('../controllers/feeController');

// GET todas as taxas
router.get('/fee', feeController.getAllFees);

// GET taxa por ID
router.get('/fee/:id', feeController.getFeeById);

// POST (create)
router.post('/fee', feeController.createFee);

// PUT (update)
router.put('/fee/:id', feeController.updateFee);

// DELETE
router.delete('/fee/:id', feeController.deleteFee);

module.exports = router;
